cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes/note_b1c2d3e4f5061728394a5b6c7d8e9f00" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillment_note(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "note_b1c2d3e4f5061728394a5b6c7d8e9f00"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNoteRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNoteRead> response = client.itemFulfillments().getItemFulfillmentNote(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"note_b1c2d3e4f5061728394a5b6c7d8e9f00");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentNoteAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"note_b1c2d3e4f5061728394a5b6c7d8e9f00");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillmentNote(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "note_b1c2d3e4f5061728394a5b6c7d8e9f00", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}
}Item fulfillments
Retrieve an item fulfillment note
Returns one fulfillment note, under item_fulfillment.note.
GET
/
item_fulfillments
/
{fulfillment_id}
/
notes
/
{note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes/note_b1c2d3e4f5061728394a5b6c7d8e9f00" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillment_note(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "note_b1c2d3e4f5061728394a5b6c7d8e9f00"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNoteRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNoteRead> response = client.itemFulfillments().getItemFulfillmentNote(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"note_b1c2d3e4f5061728394a5b6c7d8e9f00");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentNoteAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"note_b1c2d3e4f5061728394a5b6c7d8e9f00");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'note_b1c2d3e4f5061728394a5b6c7d8e9f00',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillmentNote(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "note_b1c2d3e4f5061728394a5b6c7d8e9f00", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}
}Returns the note with its
content, attachments and watchers, nested as item_fulfillment.note.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment's id, which starts with ifm_.
The note's id, which starts with note_.
Response
200 - application/json
The note, under item_fulfillment.note.
Show child attributes
Show child attributes